Knowledge Base

The VMware Knowledge Base provides support solutions, error messages and troubleshooting guides
 
Search the VMware Knowledge Base (KB)   View by Article ID
 

VMware ESXi 5.1, Patch ESXi510-201510101-SG: Updates esx-base (2114875)

Details

Release date: October 01, 2015

Patch Category Security
Patch SeverityImportant
BuildFor build information, see KB 2114860.
Host Reboot RequiredYes
Virtual Machine Migration or Shutdown RequiredYes
Affected HardwareN/A
Affected SoftwareN/A
VIBs IncludedVMware:esx-base:5.1.0-3.57.3021178
PRs Fixed1417401, 1456898, 1481479
Related CVE numbersN/A

Solution

Summaries and Symptoms

This patch updates the esx-base VIB to resolve the following issues:

  • The OpenSSL library is updated to version openssl-0.9.8zg.
     
  • The PNG reference library (libpng) is upgraded to version 1.2.52.
  •  
  • ESXi is modified to only support AES256-CTS/AES128-CTS/RC4-HMAC encryption for Kerberos communication between ESXi and Active Directory.

Patch Download and Installation

The typical way to apply patches to ESXi hosts is through the VMware Update Manager. For details, see the Installing and Administering VMware vSphere Update Manager.

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 2 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.

What can we do to improve this information? (4000 or fewer characters)




Please enter the Captcha code before clicking Submit.
  • 2 Ratings
Actions
KB: